FEDORA-2016-d5cca74851 created by frafra 6 years ago for Fedora 23
stable

Version bump

How to install

sudo dnf upgrade --advisory=FEDORA-2016-d5cca74851

This update has been submitted for testing by frafra.

6 years ago
User Icon limb commented & provided feedback 6 years ago
karma

Works for me, imported with no issues.

This update has been pushed to testing.

6 years ago
User Icon jenslody commented & provided feedback 6 years ago
karma

Just imported my old databse, updated some passwords and saved it without any issues.

BZ#1282825 update keepassx to 2.0.0 (was: KeePassX 2.0 is coming!)

This update has been submitted for stable by bodhi.

6 years ago
User Icon germano provided feedback 6 years ago
karma
BZ#1282825 update keepassx to 2.0.0 (was: KeePassX 2.0 is coming!)
User Icon cserpentis commented & provided feedback 6 years ago
karma

works for me, lost "recents" history, import of v1 db went fine

This update has been pushed to stable.

6 years ago
User Icon desintegr commented & provided feedback 6 years ago
karma

Works for me. I can open and modify my .kdbx files (from KeePass). I can now replace KeePass/Mono with KeePassX. Thank you.

BZ#1282825 update keepassx to 2.0.0 (was: KeePassX 2.0 is coming!)
User Icon jwakely commented & provided feedback 6 years ago
karma

This is an incompatible change on a release branch that requires irreversible changes to the database.

User Icon rstory commented & provided feedback 6 years ago
karma

I'm will jwakely. I sync my db between multiple devices, some of which don't have an option for v2 databases. I'm all for having 2.0.0 available, but if it can't read/write v1 databases, put it in a new package instead of unceremoniously breaking existing, long-standing functionality.

User Icon logic commented & provided feedback 6 years ago
karma

Backwards-incompatible change to a stable release.

User Icon joost commented & provided feedback 6 years ago
karma

This update was an ugly surprise and breaks the update-policy. Please provide a keepass-v1 package besides this one.

User Icon arcfi provided feedback 6 years ago
karma
BZ#1282825 update keepassx to 2.0.0 (was: KeePassX 2.0 is coming!)
User Icon timhughes commented & provided feedback 5 years ago
karma

Keepassx was released in F23 as keepassx-0.4.3-13.fc23.x86_64 but then later upgraded to keepassx-2.0.0-1.fc23. The latter uses a different database format which is incompatible. I have tried version locking it but gnome software ignores the version lock and updates it. This database is shared among multiple users with multiple distros so I cannot just convert to the newer database format.

BZ#1282825 update keepassx to 2.0.0 (was: KeePassX 2.0 is coming!)
User Icon nb commented & provided feedback 5 years ago
karma

breaks update policy.....

BZ#1282825 update keepassx to 2.0.0 (was: KeePassX 2.0 is coming!)
User Icon lupinix commented & provided feedback 5 years ago
karma

That compatibility break is a no go for me

BZ#1282825 update keepassx to 2.0.0 (was: KeePassX 2.0 is coming!)

Please login to add feedback.

Metadata
Type
enhancement
Karma
-1
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
3
Stable by Time
disabled
Dates
submitted
6 years ago
in testing
6 years ago
in stable
6 years ago
BZ#1282825 update keepassx to 2.0.0 (was: KeePassX 2.0 is coming!)
-3
4

Automated Test Results